al_get_native_text_log_event_source(3)

NAME

al_get_native_text_log_event_source - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_native_dialog.h>
    ALLEGRO_EVENT_SOURCE *al_get_native_text_log_event_source(
       ALLEGRO_TEXTLOG *textlog)

DESCRIPTION

Get an event source for a text log window. The possible events are:

ALLEGRO_EVENT_NATIVE_DIALOG_CLOSE
    The window was requested to be closed, either by pressing the close button or pressing Escape on the keyboard. The user.data1 field will hold a pointer to the ALLEGRO_TEXTLOG(3) which generated the event. The user.data2 field will be 1 if the event was generated as a result of a key press; otherwise it will be zero.